Bug 248384 - [RHEL5] Only partial email message shown on failed GPG verification
Summary: [RHEL5] Only partial email message shown on failed GPG verification
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: evolution-data-server   
(Show other bugs)
Version: 5.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Matthew Barnes
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords:
Depends On: 240913
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-16 15:46 UTC by Matthew Barnes
Modified: 2008-05-21 15:18 UTC (History)
1 user (show)

Fixed In Version: RHBA-2008-0361
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 15:18:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0361 normal SHIPPED_LIVE evolution bug fix and enhancement update 2008-05-20 18:03:46 UTC
GNOME Bugzilla 449531 None None None Never

Description Matthew Barnes 2007-07-16 15:46:32 UTC
+++ This bug was initially created as a clone of Bug #240913 +++

Description of problem:

Only part of the received message is shown on failed GPG verification. Received
mail from a correspondent not having his key on the keyservers, and only
fragments of his message is shown in evolution.

Full message shown on reply etc however.

Version-Release number of selected component (if applicable):

evolution-2.8.3-2.fc6

How reproducible:

Always

Steps to Reproduce:
1. Open such message
2.
3.
  
Actual results:

Only part of the message displayed

Expected results:

Complete email message displayed, 

Additional info:

Fedora code 6 x86_64 running in sv_SE.UTF-8 locale.

Think problem appeared after last yum update (update about once/mont). Can't
remember seeing it before, but it's not very often I get gpg signatures from
unknown keys..

-- Additional comment from henrik@henriknordstrom.net on 2007-05-22 16:17 EST --
Created an attachment (id=155198)
Two messages where this problem is seen


-- Additional comment from danieldk@pobox.com on 2007-06-17 17:35 EST --
This problem also occurs with Evolution in EL5. CentOS bug report reference:
http://bugs.centos.org/view.php?id=2148

-- Additional comment from mcrha@redhat.com on 2007-06-20 13:37 EST --
Moving this upstream [1] and sent a patch there too. Thanks for your assistance.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=449531

Comment 2 RHEL Product and Program Management 2007-10-19 20:27:43 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Matthew Barnes 2007-11-13 20:39:18 UTC
Fixed in evolution-2.12.1-4.el5.

Comment 7 errata-xmlrpc 2008-05-21 15:18:40 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0361.html



Note You need to log in before you can comment on or make changes to this bug.